

package com.lutao.carlocation.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;

/**
 * 危化品车辆实时定位
 *
 * @author guoyc
 * @date 2023-09-12 17:44:59
 */
@Data
@TableName("isolated_vehicle_location_monitor")
@EqualsAndHashCode(callSuper = true)
public class IsolatedVehicleLocationMonitor extends Model<IsolatedVehicleLocationMonitor> {

    private static final long serialVersionUID = 1L;

    private String id;

    private String code;

    private String locaterCode;

    private String licensePlate;

    private Double longitude;

    private Double latitude;

    private String address;

    private LocalDateTime locatingTime;

    private String parkCode;

    private String companyCode;

    private LocalDateTime createTime;

    private LocalDateTime updateTime;




}
